<?php
//tempo di generzione della pagina
$tempo = microtime();
//comincio la sessione
session_start();
//cookie per imperdire l'accesso diretto a invio.php
//genero e codifico un numero casuale
//dopo nel form aggiungo un campo hidden per trasmettere e confrontare il numero generato 
$_SESSION['p'] = sha1(uniqid(mt_rand()));
include 'config.php';
?>
<!DOCTYPE html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta charset="utf-8"/>
	<title><?php echo $titolo;?></title>
	<link rel="icon" href="favicon.ico" />
	<link href="css/stile.css" rel="stylesheet" media="screen"/>
</head>

<body>
	<div id="form-main">
	  <div id="form-div">
		<form class="form" id="form1" action="php/invio.php" method="post" enctype="multipart/form-data" >
		  
		  <p class="name">
			<input name="nome" type="text" class="validate[required,custom[onlyLetter],length[0,100]] feedback-input" placeholder="<?php echo $nome;?>" id="name" />
		  </p>
		  
		  <p class="email">
			<input name="mail" type="text" class="validate[required,custom[email]] feedback-input" id="email" placeholder="<?php echo $mail;?>" />
		  </p>
		  
		  <p class="text">
			<textarea name="messaggio" class="validate[required,length[6,300]] feedback-input" id="comment" placeholder="<?php echo $testo;?>"></textarea>
		  </p>
		  
		  <!--richiedo la classe e stampo il captcha numerico -->
		  <?php require("php/ClassMathGuard.php"); MathGuard::insertQuestion(); ?>
		  <br/>
		  
		  <div class="submit">
			<!-- questo è il campo hidden che verrà inviato a invio.php per il confronto della sessione --> 
			<input name="accesso" type="hidden" value="<?php echo $_SESSION['p'];?>">
			<input name="submit" type="submit" value="<?php echo $invia;?>" id="button-blue"/>
			<div class="ease"></div>
		  </div>
		  <!-- stampa del tempo di generazione della pagina -->	
		  <center><br/><?php $t = microtime() - $tempo;   echo "Pagina generata dal server in $t secondi"; ?></center>
		</form>
	  </div>
	</div>
</body>
</html>
